<?php

namespace App\Services\Equipment\Part;

use App\Services\Equipment\EquipmentService;
use CodeIgniter\HTTP\IncomingRequest;

abstract class PartService extends EquipmentService
{
    protected function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Part');
    }
    final public function getFields(): array
    {
        return [
            "model",
            "status",
        ];
    }
    final public function getFilterFields(): array
    {
        return ['status'];
    }
    final public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
